package com.oqpo.api.enums;

import lombok.Getter;

@Getter
public enum ApplyYn {
    APPLY_Y("Y", "적용"),
    APPLY_N("N", "미적용");

    private String id;
    private String message;

    ApplyYn(String id, String message) {
        this.id = id;
        this.message = message;
    }

    public static String getId(String message) {
        ApplyYn[] list = ApplyYn.values();
        for (ApplyYn item : list) {
            if (item.message.equals(message)) {
                return item.id;
            }
        }
        return null;
    }
}
